Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.cache
Interface Cache

All Known Implementing Classes:
  FixedSizeCache, SoftReferenceCache

    public interface Cache

Interface for managing caches of objects. Caches serve as factories for CacheReference objects. These references can be cleared at any time after creation, using heuristics determined by the Cache implementation.

Since:
  1.1
Author:
  Thomas Down

Method Summary
`CacheReference` | `makeReference(Object o)` Construct a temporary reference to an object.

Method Detail

### makeReference

    CacheReference makeReference(Object o)

  Construct a temporary reference to an object. The reference persists until it becomes dereferenced itself, it is explicitly cleared by the user, or the cache determines that it is a candidate for disposal.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD